AI agents: this site is available as Markdown at /llms.txt. Each page has a Markdown version at its URL with a .md suffix, and the full API is described in /api/v3/openapi.json.

Query Wallet balance history

Fetch your wallet's transaction history for your system of records.

Last updated 13 September 2026

get

https://api.flutterwave.com/v3/wallet/statement

authorization string required

Pass your secret key as a bearer token in the request header to authorize this call

FILL IN ALL REQUIRED FIELDS

from string required
The start date for the filter query in YYYY-MM-DD.

to string required
The end date for the filter query in YYYY-MM-DD.

currency string required
ISO 4217 currency code.

type string
This indicate the transaction type, i.e. credit(C) or debit(D).

page int 32
The page of the data to retrieve.

include_transaction_type boolean
This flag includes the transaction_type for each log in the wallet report.

include_payout_id boolean
This flag includes the payout_id for each transaction log in the wallet report.

payout_ref string
The unique reference used to initiate the payout.

payout_id string
The id returned for the payout.

FILL IN ALL REQUIRED FIELDS

status string

message string

data object

FILL IN ALL REQUIRED FIELDS

page_info object

FILL IN ALL REQUIRED FIELDS

total integer

current_page integer

total_pages integer

transactions array of objects

FILL IN ALL REQUIRED FIELDS

type string

amount integer

currency string

balance_before number

balance_after number

reference string

date string

remarks string

sent_currency string

rate_used integer

sent_amount integer

statement_type string

payout_id integer

transaction_type string

FILL IN ALL REQUIRED FIELDS

status string

message string

data string

Shell

1
1


FL.AI

Answers from the Flutterwave docs

Hi, I’m FL.AI

Ask anything about Flutterwave’s APIs, guides and coverage.

FL.AI can make mistakes. Check important details in the docs.

Get API Keys